curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/dp/B0CHHSFMRL"}, {"url": "https://www.amazon.com/dp/B09V3KXJPB"}]}'[
{
"title": "Apple AirPods Pro 3 Wireless Earbuds with Active Noise Cancellation",
"asin": "B0FQFB8FMG",
"brand": "Apple",
"initial_price": 249,
"final_price": 199.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 14302,
"seller_name": "Amazon.com",
"availability": "In Stock",
"image_url": "https://m.media-amazon.com/images/I/61solmQSSlL._AC_SL1500_.jpg",
"url": "https://www.amazon.com/dp/B0FQFB8FMG"
}
]
Amazon
按URL采集产品
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/dp/B0CHHSFMRL"}, {"url": "https://www.amazon.com/dp/B09V3KXJPB"}]}'[
{
"title": "Apple AirPods Pro 3 Wireless Earbuds with Active Noise Cancellation",
"asin": "B0FQFB8FMG",
"brand": "Apple",
"initial_price": 249,
"final_price": 199.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 14302,
"seller_name": "Amazon.com",
"availability": "In Stock",
"image_url": "https://m.media-amazon.com/images/I/61solmQSSlL._AC_SL1500_.jpg",
"url": "https://www.amazon.com/dp/B0FQFB8FMG"
}
]
查询参数
string
默认值:"gd_l7q7dkf244hwjntr0"
必填
用于此请求的数据集 ID。
必须设置为
gd_l7q7dkf244hwjntr0 以收集按 URL 的产品数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
[
{
"title": "Apple AirPods Pro 3 Wireless Earbuds with Active Noise Cancellation",
"asin": "B0FQFB8FMG",
"brand": "Apple",
"initial_price": 249,
"final_price": 199.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 14302,
"seller_name": "Amazon.com",
"availability": "In Stock",
"image_url": "https://m.media-amazon.com/images/I/61solmQSSlL._AC_SL1500_.jpg",
"url": "https://www.amazon.com/dp/B0FQFB8FMG"
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_l7q7dkf244hwjntr0 to collect Products by URL.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Show child attributes
Show child attributes
响应
200 - application/json
OK
此页面对您有帮助吗?